Skip to main content
GET
/
jobs
List all jobs
import requests

url = "https://{FUSION HOST}/api/jobs"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/jobs")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/jobs"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/jobs
[
  {
    "resource": "datasource:ratings-db",
    "enabled": true,
    "startedBy": "acb38917-611a-46e1-a3cf-4ed46a30fd24"
  },
  {
    "resource": "datasource:movies-db",
    "enabled": true,
    "startedBy": "acb38917-611a-46e1-a3cf-4ed46a30fd24",
    "status": "success",
    "lastStartTime": "2017-05-17T20:58:10.503Z",
    "lastEndTime": "2017-05-17T20:58:42.020Z"
  }
]

Query Parameters

status
string[]

Filter jobs by status, one of: ready, running, success, aborted, or failed.

enabled
string

Filter jobs by whether they are enabled (true) or disabled (false).

type
string[]

Filter jobs by type, one of: task, spark, or datasource.

Response

200 - */*

successful operation

resource

Resource reference as a string, such as 'datasource:ratings-db'

enabled
boolean
read-only
startedBy
string
read-only
status
string
read-only

Values include ready, running, success, aborted, or failed.

extra
object
read-only
lastStartTime
string<date-time>
read-only
lastEndTime
string<date-time>
read-only
nextStartTime
string<date-time>
read-only